:root {
    --az-green: #004d00;
    --az-accent: #00e600;
    --az-dark:  rgb(95, 95, 95);
    --az-light: rgb(199, 199, 199);
    --az-lighter: rgb(228, 228, 228);
}

.hide {
    display: none;
}

.centered-hr {
    width: 33%;
    margin: auto;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~ Header ~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.header-topbar {
    display: flex;
    justify-content: space-between;
    margin-top: 2%;
    margin-right: 5%;
    margin-left: 5%;
    margin-bottom: 1%;
    align-items: center;  
}

.logo {
    flex: 1;
}

.logo img {
    width: 70%;
    max-width: 300px;
    height: auto;
}

.phone-navigation {
    display: none;
}

.navigation-bar {
    flex: 2;
    display: flex;
    justify-content: flex-end;
}

.navigation-bar { position: relative; z-index: 1000; }

.nav-link {
    padding: 20px 32px;
    border-right: 1px solid var(--az-green);
    position: relative;
}

.nav-link a {
    text-decoration: none;
    color: var(--az-green);
    font-weight: bold;
    font-size: 2rem;
    display: inline-block;
}

.nav-link a:hover {
    color: var(--az-accent);
}

.nav-link:last-child {
    border-right: none;
}

.shop-dropdown-menu {
    position: absolute;
    display: none;
    background: #fff;
    box-shadow: 0 6px 18px rgba(0,0,0,0.12);
    padding: 10px;
    min-width: 280px;
    border-radius: 4px;
    top: 100%;
    left: 0;
    transform-origin: top center;
    z-index: 2000;
    white-space: normal;
}

.nav-dropdown {
    display: none;
    list-style: none;
    margin: 0;
    padding: 0;
    background: #fff;
    position: absolute;
    top: 70px;
    right: 5%;
    width: 200px;
    border: 1px solid #ccc;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    z-index: 1000;
}

.nav-dropdown li {
    border-bottom: 1px solid #eee;
}

.nav-dropdown li:last-child {
    border-bottom: none;
}

.nav-dropdown a {
    display: block;
    padding: 12px 20px;
    color: #004d00;
    text-decoration: none;
}

.nav-toggle {
    display: none;
    background: none;
    border: none;
    font-size: 2em;
    color: #004d00;
    cursor: pointer;
    margin-right: 10px;
}

/* Display dropdown menu on hover */
.dropdown-hover:hover .shop-dropdown-menu {
    display: block;
}

.shop-menu-table {
    border-collapse: collapse;
    width: 100%;
    text-align: left;
}

.shop-menu-table td {
    padding: 8px 12px;
}

.shop-menu-table td a {
    text-decoration: none;
    color: black;
    font-size: 1rem;
}

.shop-menu-table th a {
    text-decoration: none;
    color: black;
    font-size: 1.2rem;
}

.shop-menu-table th {
    padding: 8px 12px;
    border-right: 1px solid var(--az-light);
    font-size: 1.2rem;
}

.shop-menu-table tr {
    padding: 8px 12px;
    border-bottom: 1px solid var(--az-light);
}

.shop-menu-table tr:last-child {
    border-bottom: none;
}

@media (max-width: 1250px) {
    .navigation-bar {
        display: none;
    }
    .phone-navigation {
        display: block;
        margin-left: auto;      
    }
    .nav-toggle {
        display: block;
    }
    .nav-dropdown {
        display: none;
    }
    .nav-dropdown.open {
        display: block;
    }
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~ Footer ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
footer {
    margin-top: 50px;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

.footer-links {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}
.footer-phone {
    display: none;
    justify-content: center;
    margin-top: 20px;
}
.footer-links a, .footer-phone a, .find-us a {
    margin-right: 20px;
    color: #004d00;
    text-decoration: none;
    font-size: 1.15em;
}

@media (max-width: 1000px) {
    .footer-links {
        display: none;
    }
    .footer-phone {
        display: flex;
    }
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~~~~~~~~~~~~~~~~ Search Bar / Pagination ~~~~~~~~~~~~~~~~~~~ */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

.search-bar {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
    gap: 30px;
}

.search-bar input[type="text"] {
    padding: 10px;
    border: 1px solid var(--az-light);
    border-radius: 4px;
    width: 300px;
    font-size: 1.1rem;
}

.search-bar button {
    padding: 10px 15px;
    background: var(--az-green);
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 1.1rem;
}

.search-bar button:hover {
    background: var(--az-accent);
}

.search-container {
    margin: 20px 0;
    padding: 10px;
    border: 1px solid var(--az-light);
    border-radius: 8px;
    box-shadow: 0 6px 18px rgba(0,0,0,0.12);
}

.pagination-container {
    display: flex;
    flex-direction: row;
    gap: 30px;
}

.pagination {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin: 20px 0;
    padding: 10px;
    border: 1px solid var(--az-light);
    border-radius: 8px;
    box-shadow: 0 6px 18px rgba(0,0,0,0.12);
    justify-content: center;
    align-items: center;
}

.pagination a {
    padding: 10px 15px;
    background: var(--az-green);
    color: white;
    border: none;
    border-radius: 8px;
    text-decoration: none;
    font-size: 1.1rem;
}

.pagination a:hover {
    background: var(--az-accent);
}

.pagination select {
    border: 1px solid var(--az-light);
    padding: 10px 5px;
    border-radius: 8px;
    font-size: 1.1rem;
    height: 100%;
}